Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_nalorakk.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_nalorakk.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_nalorakk.cpp (revision 260)
@@ -301,4 +301,4 @@
     newscript->Name="boss_nalorakk";
     newscript->GetAI = GetAI_boss_nalorakk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_hexlord.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_hexlord.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_hexlord.cpp (revision 260)
@@ -869,44 +869,44 @@
     newscript->Name="boss_hexlord_malacrass";
     newscript->GetAI = GetAI_boss_hex_lord_malacrass;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_thurg";
     newscript->GetAI = GetAI_boss_thurg;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_gazakroth";
     newscript->GetAI = GetAI_boss_gazakroth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_lord_raadan";
     newscript->GetAI = GetAI_boss_lord_raadan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_darkheart";
     newscript->GetAI = GetAI_boss_darkheart;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_slither";
     newscript->GetAI = GetAI_boss_slither;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_fenstalker";
     newscript->GetAI = GetAI_boss_fenstalker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_koragg";
     newscript->GetAI = GetAI_boss_koragg;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="boss_alyson_antille";
     newscript->GetAI = GetAI_boss_alyson_antille;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/instance_zulaman.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/instance_zulaman.cpp (revision 257)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/instance_zulaman.cpp (revision 260)
@@ -329,4 +329,4 @@
     newscript->Name = "instance_zulaman";
     newscript->GetInstanceData = GetInstanceData_instance_zulaman;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_akilzon.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_akilzon.cpp (revision 154)
+++ /trunk/src/bindings/scripts/scripts/zone/zulaman/boss_akilzon.cpp (revision 260)
@@ -462,9 +462,9 @@
     newscript->Name="boss_akilzon";
     newscript->GetAI = GetAI_boss_akilzon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_akilzon_eagle";
     newscript->GetAI = GetAI_mob_soaring_eagle;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/netherstorm/netherstorm.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/netherstorm/netherstorm.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/netherstorm/netherstorm.cpp (revision 260)
@@ -401,10 +401,10 @@
     newscript->Name="go_manaforge_control_console";
     newscript->pGOHello = &GOHello_go_manaforge_control_console;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_manaforge_control_console";
     newscript->GetAI = GetAI_npc_manaforge_control_console;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -412,5 +412,5 @@
     newscript->pGossipHello =   &GossipHello_npc_protectorate_nether_drake;
     newscript->pGossipSelect =  &GossipSelect_npc_protectorate_nether_drake;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -418,4 +418,4 @@
     newscript->pGossipHello =   &GossipHello_npc_veronia;
     newscript->pGossipSelect =  &GossipSelect_npc_veronia;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/isle_of_queldanas/isle_of_queldanas.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/isle_of_queldanas/isle_of_queldanas.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/isle_of_queldanas/isle_of_queldanas.cpp (revision 260)
@@ -141,10 +141,10 @@
     newscript->pGossipHello = &GossipHello_npc_ayren_cloudbreaker;
     newscript->pGossipSelect = &GossipSelect_npc_ayren_cloudbreaker;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_converted_sentry";
     newscript->GetAI = GetAI_npc_converted_sentry;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -152,4 +152,4 @@
     newscript->pGossipHello = &GossipHello_npc_unrestrained_dragonhawk;
     newscript->pGossipSelect = &GossipSelect_npc_unrestrained_dragonhawk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/azuremyst_isle/azuremyst_isle.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/azuremyst_isle/azuremyst_isle.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/azuremyst_isle/azuremyst_isle.cpp (revision 260)
@@ -351,5 +351,5 @@
     newscript->Name="npc_draenei_survivor";
     newscript->GetAI = GetAI_npc_draenei_survivor;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -358,10 +358,10 @@
     newscript->pGossipHello =  &GossipHello_npc_engineer_spark_overgrind;
     newscript->pGossipSelect = &GossipSelect_npc_engineer_spark_overgrind;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="npc_injured_draenei";
     newscript->GetAI = GetAI_npc_injured_draenei;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -369,4 +369,4 @@
     newscript->pGossipHello =  &GossipHello_npc_susurrus;
     newscript->pGossipSelect = &GossipSelect_npc_susurrus;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/uldaman/uldaman.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/uldaman/uldaman.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/uldaman/uldaman.cpp (revision 260)
@@ -178,5 +178,5 @@
     newscript->Name="mob_jadespine_basilisk";
     newscript->GetAI = GetAI_mob_jadespine_basilisk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -184,4 +184,4 @@
     newscript->pGossipHello = &GossipHello_npc_lore_keeper_of_norgannon;
     newscript->pGossipSelect = &GossipSelect_npc_lore_keeper_of_norgannon;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/uldaman/boss_ironaya.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/uldaman/boss_ironaya.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/uldaman/boss_ironaya.cpp (revision 260)
@@ -104,4 +104,4 @@
     newscript->Name="boss_ironaya";
     newscript->GetAI = GetAI_boss_ironaya;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_nerubenkan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_nerubenkan.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_nerubenkan.cpp (revision 260)
@@ -135,4 +135,4 @@
     newscript->Name="boss_nerubenkan";
     newscript->GetAI = GetAI_boss_nerubenkan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_magistrate_barthilas.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_magistrate_barthilas.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_magistrate_barthilas.cpp (revision 260)
@@ -111,4 +111,4 @@
     newscript->Name="boss_magistrate_barthilas";
     newscript->GetAI = GetAI_boss_magistrate_barthilas;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_timmy_the_cruel.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_timmy_the_cruel.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_timmy_the_cruel.cpp (revision 260)
@@ -97,4 +97,4 @@
     newscript->Name="boss_timmy_the_cruel";
     newscript->GetAI = GetAI_boss_timmy_the_cruel;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_cannon_master_willey.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_cannon_master_willey.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_cannon_master_willey.cpp (revision 260)
@@ -218,4 +218,4 @@
     newscript->Name="boss_cannon_master_willey";
     newscript->GetAI = GetAI_boss_cannon_master_willey;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_dathrohan_balnazzar.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_dathrohan_balnazzar.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_dathrohan_balnazzar.cpp (revision 260)
@@ -313,4 +313,4 @@
     newscript->Name="boss_dathrohan_balnazzar";
     newscript->GetAI = GetAI_boss_dathrohan_balnazzar;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/stratholme.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/stratholme.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/stratholme.cpp (revision 260)
@@ -311,10 +311,10 @@
     newscript->Name="mob_freed_soul";
     newscript->GetAI = GetAI_mob_freed_soul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_restless_soul";
     newscript->GetAI = GetAI_mob_restless_soul;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -322,14 +322,14 @@
     newscript->GetAI = GetAI_mobs_spectral_ghostly_citizen;
     newscript->pReceiveEmote = &ReciveEmote_mobs_spectral_ghostly_citizen;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_mindless_skeleton";
     newscript->GetAI = GetAI_mob_mindless_skeleton;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_thuzadin_acolyte";
     newscript->GetAI = GetAI_mob_thuzadin_acolyte;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_order_of_silver_hand.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_order_of_silver_hand.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_order_of_silver_hand.cpp (revision 260)
@@ -158,4 +158,4 @@
     newscript->Name="boss_silver_hand_bosses";
     newscript->GetAI = GetAI_boss_silver_hand_bossesAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baroness_anastari.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baroness_anastari.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baroness_anastari.cpp (revision 260)
@@ -121,4 +121,4 @@
     newscript->Name="boss_baroness_anastari";
     newscript->GetAI = GetAI_boss_baroness_anastari;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_postmaster_malown.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_postmaster_malown.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_postmaster_malown.cpp (revision 260)
@@ -141,4 +141,4 @@
     newscript->Name="boss_postmaster_malown";
     newscript->GetAI = GetAI_boss_postmaster_malown;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baron_rivendare.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baron_rivendare.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_baron_rivendare.cpp (revision 260)
@@ -212,4 +212,4 @@
     newscript->Name="boss_baron_rivendare";
     newscript->GetAI = GetAI_boss_baron_rivendare;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/instance_stratholme.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/instance_stratholme.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/instance_stratholme.cpp (revision 260)
@@ -74,4 +74,4 @@
     newscript->Name = "instance_stratholme";
     newscript->GetInstanceData = GetInstanceData_instance_stratholme;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_maleki_the_pallid.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_maleki_the_pallid.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_maleki_the_pallid.cpp (revision 260)
@@ -116,4 +116,4 @@
     newscript->Name="boss_maleki_the_pallid";
     newscript->GetAI = GetAI_boss_maleki_the_pallid;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_ramstein_the_gorger.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_ramstein_the_gorger.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/stratholme/boss_ramstein_the_gorger.cpp (revision 260)
@@ -89,4 +89,4 @@
     newscript->Name="boss_ramstein_the_gorger";
     newscript->GetAI = GetAI_boss_ramstein_the_gorger;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/azshara/boss_azuregos.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/azshara/boss_azuregos.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/azshara/boss_azuregos.cpp (revision 260)
@@ -150,4 +150,4 @@
     newscript->Name="boss_azuregos";
     newscript->GetAI = GetAI_boss_azuregos;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/azshara/azshara.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/azshara/azshara.cpp (revision 204)
+++ /trunk/src/bindings/scripts/scripts/zone/azshara/azshara.cpp (revision 260)
@@ -493,5 +493,5 @@
     newscript->Name="mobs_spitelashes";
     newscript->GetAI = GetAI_mobs_spitelashes;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
@@ -499,5 +499,5 @@
     newscript->pGossipHello =  &GossipHello_npc_loramus_thalipedes;
     newscript->pGossipSelect = &GossipSelect_npc_loramus_thalipedes;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
 	newscript = new Script;
@@ -506,9 +506,9 @@
     newscript->pGossipHello =  &GossipHello_mob_rizzle_sprysprocket;
     newscript->pGossipSelect = &GossipSelect_mob_rizzle_sprysprocket;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_depth_charge";
     newscript->GetAI = GetAI_mob_depth_charge;
-    m_scripts[nrscripts++] = newscript;
-}
+    newscript->RegisterSelf();
+}
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_doctor_theolen_krastinov.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_doctor_theolen_krastinov.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_doctor_theolen_krastinov.cpp (revision 260)
@@ -105,4 +105,4 @@
     newscript->Name="boss_doctor_theolen_krastinov";
     newscript->GetAI = GetAI_boss_theolenkrastinov;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_vectus.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_vectus.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_vectus.cpp (revision 260)
@@ -92,4 +92,4 @@
     newscript->Name="boss_vectus";
     newscript->GetAI = GetAI_boss_vectus;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/instance_scholomance.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/instance_scholomance.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/instance_scholomance.cpp (revision 260)
@@ -99,4 +99,4 @@
     newscript->Name = "instance_scholomance";
     newscript->GetInstanceData = GetInstanceData_instance_scholomance;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_illucia_barov.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_illucia_barov.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_illucia_barov.cpp (revision 260)
@@ -113,4 +113,4 @@
     newscript->Name="boss_illucia_barov";
     newscript->GetAI = GetAI_boss_illuciabarov;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_instructor_malicia.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_instructor_malicia.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_instructor_malicia.cpp (revision 260)
@@ -149,4 +149,4 @@
     newscript->Name="boss_instructor_malicia";
     newscript->GetAI = GetAI_boss_instructormalicia;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_death_knight_darkreaver.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_death_knight_darkreaver.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_death_knight_darkreaver.cpp (revision 260)
@@ -56,4 +56,4 @@
     newscript->Name="boss_death_knight_darkreaver";
     newscript->GetAI = GetAI_boss_death_knight_darkreaver;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_darkmaster_gandling.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_darkmaster_gandling.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_darkmaster_gandling.cpp (revision 260)
@@ -189,4 +189,4 @@
     newscript->Name="boss_darkmaster_gandling";
     newscript->GetAI = GetAI_boss_darkmaster_gandling;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lord_alexei_barov.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lord_alexei_barov.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lord_alexei_barov.cpp (revision 260)
@@ -95,4 +95,4 @@
     newscript->Name="boss_lord_alexei_barov";
     newscript->GetAI = GetAI_boss_lordalexeibarov;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_kormok.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_kormok.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_kormok.cpp (revision 260)
@@ -152,4 +152,4 @@
     newscript->Name="boss_kormok";
     newscript->GetAI = GetAI_boss_kormok;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_the_ravenian.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_the_ravenian.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_the_ravenian.cpp (revision 260)
@@ -115,4 +115,4 @@
     newscript->Name="boss_the_ravenian";
     newscript->GetAI = GetAI_boss_theravenian;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_ras_frostwhisper.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_ras_frostwhisper.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_ras_frostwhisper.cpp (revision 260)
@@ -122,4 +122,4 @@
     newscript->Name="boss_boss_ras_frostwhisper";
     newscript->GetAI = GetAI_boss_rasfrost;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_jandice_barov.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_jandice_barov.cpp (revision 223)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_jandice_barov.cpp (revision 260)
@@ -213,9 +213,9 @@
     newscript->Name="boss_jandice_barov";
     newscript->GetAI = GetAI_boss_jandicebarov;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 
     newscript = new Script;
     newscript->Name="mob_illusionofjandicebarov";
     newscript->GetAI = GetAI_mob_illusionofjandicebarov;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lorekeeper_polkelt.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lorekeeper_polkelt.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/scholomance/boss_lorekeeper_polkelt.cpp (revision 260)
@@ -110,4 +110,4 @@
     newscript->Name="boss_lorekeeper_polkelt";
     newscript->GetAI = GetAI_boss_lorekeeperpolkelt;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/silverpine_forest/silverpine_forest.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/silverpine_forest/silverpine_forest.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/silverpine_forest/silverpine_forest.cpp (revision 260)
@@ -97,4 +97,4 @@
     newscript->pGossipSelect = &GossipSelect_npc_astor_hadren;
     newscript->GetAI = GetAI_npc_astor_hadren;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_noth.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_noth.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_noth.cpp (revision 260)
@@ -177,4 +177,4 @@
     newscript->Name="boss_noth";
     newscript->GetAI = GetAI_boss_noth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_anubrekhan.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_anubrekhan.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_anubrekhan.cpp (revision 260)
@@ -209,4 +209,4 @@
     newscript->Name="boss_anubrekhan";
     newscript->GetAI = GetAI_boss_anubrekhan;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_loatheb.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_loatheb.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_loatheb.cpp (revision 260)
@@ -213,4 +213,4 @@
     newscript->Name="boss_loatheb";
     newscript->GetAI = GetAI_boss_loatheb;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_faerlina.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_faerlina.cpp (revision 229)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_faerlina.cpp (revision 260)
@@ -198,4 +198,4 @@
     newscript->Name="boss_faerlina";
     newscript->GetAI = GetAI_boss_faerlina;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_highlord_mograine.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_highlord_mograine.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_highlord_mograine.cpp (revision 260)
@@ -175,4 +175,4 @@
     newscript->Name="boss_highlord_mograine";
     newscript->GetAI = GetAI_boss_highlord_mograine;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_gluth.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_gluth.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_gluth.cpp (revision 260)
@@ -171,4 +171,4 @@
     newscript->Name="boss_gluth";
     newscript->GetAI = GetAI_boss_gluth;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_patchwerk.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_patchwerk.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_patchwerk.cpp (revision 260)
@@ -157,4 +157,4 @@
     newscript->Name="boss_patchwerk";
     newscript->GetAI = GetAI_boss_patchwerk;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_thane_korthazz.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_thane_korthazz.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_thane_korthazz.cpp (revision 260)
@@ -144,4 +144,4 @@
     newscript->Name="boss_thane_korthazz";
     newscript->GetAI = GetAI_boss_thane_korthazz;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_kelthuzad.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_kelthuzad.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_kelthuzad.cpp (revision 260)
@@ -538,5 +538,5 @@
     newscript->Name="boss_kelthuzad";
     newscript->GetAI = GetAI_boss_kelthuzadAI;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
     */
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_lady_blaumeux.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_lady_blaumeux.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_lady_blaumeux.cpp (revision 260)
@@ -144,4 +144,4 @@
     newscript->Name="boss_lady_blaumeux";
     newscript->GetAI = GetAI_boss_lady_blaumeux;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
Index: /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_sir_zeliek.cpp
===================================================================
--- /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_sir_zeliek.cpp (revision 90)
+++ /trunk/src/bindings/scripts/scripts/zone/naxxramas/boss_sir_zeliek.cpp (revision 260)
@@ -143,4 +143,4 @@
     newscript->Name="boss_sir_zeliek";
     newscript->GetAI = GetAI_boss_sir_zeliek;
-    m_scripts[nrscripts++] = newscript;
+    newscript->RegisterSelf();
 }
